/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilSplitProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilSplitProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [targetdir]
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFF (*.xlf) ファイルが出力されるディレクトリ。
     */
    private String fTargetdir;

    /**
     * フィールド [sourcefile]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイル。
     */
    private String fSourcefile;

    /**
     * フィールド [count]
     *
     * 項目の型 [int]<br>
     * 規定値   [50]<br>
     * 分割する際の trans-unit の件数。
     */
    private int fCount = 50;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [targetdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFF (*.xlf) ファイルが出力されるディレクトリ。
     *
     * @param argTargetdir フィールド[targetdir]に格納したい値
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド[targetdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFF (*.xlf) ファイルが出力されるディレクトリ。
     *
     * @return フィールド[targetdir]に格納されている値
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [sourcefile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイル。
     *
     * @param argSourcefile フィールド[sourcefile]に格納したい値
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド[sourcefile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイル。
     *
     * @return フィールド[sourcefile]に格納されている値
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [count]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 分割する際の trans-unit の件数。
     *
     * @param argCount フィールド[count]に格納したい値
     */
    public void setCount(final int argCount) {
        fCount = argCount;
    }

    /**
     * フィールド[count]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [50]<br>
     * 分割する際の trans-unit の件数。
     *
     * @return フィールド[count]に格納されている値
     */
    public int getCount() {
        return fCount;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilSplitProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",count=" + fCount);
        buf.append("]");
        return buf.toString();
    }
}
